Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8206937

--release=8 doesn't allow access to internal APIs

    Details

    • Type: Enhancement
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: tbd_major
    • Component/s: tools
    • Labels:
      None

      Description

      from http://mail.openjdk.java.net/pipermail/compiler-dev/2018-January/011583.html

      > the spec for --release N is to provide access to the
      > public documented API for JDK N.
      >
      > That being said, there has been discussion recently about providing
      > access to some of the API that precedes jdk.unsupported, as a special
      > case.

      The current behaviour prevents migrating some uses of -source/-target to --release. Providing optional access to unsupported APIs when using --release=8 (perhaps in the spirit of -XDignore.symbol.file=true) would allow those uses of -source/-target to be migrated and to benefit from the better ergonomics of --release.

        Attachments

          Activity

            People

            • Assignee:
              jlahoda Jan Lahoda
              Reporter:
              cushon Liam Miller-Cushon
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: